PlasticTheme (JGoodies Looks 2.6 API)
Date: 2015-01-03

com.jgoodies.looks.plastic

## Class PlasticTheme

- java.lang.Object
- - javax.swing.plaf.metal.MetalTheme
  - - javax.swing.plaf.metal.DefaultMetalTheme
    - - com.jgoodies.looks.plastic.PlasticTheme

- Direct Known Subclasses:
    InvertedColorTheme, SkyBluer

      public abstract class PlasticTheme
      extends DefaultMetalTheme

  Unlike its superclass this theme class has relaxed access.
  Version:
    $Revision: 1.11 $
  Author:
    Karsten Lentzsch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static ColorUIResource` | `BLACK`
    `static Color` | `BRIGHTEN_START`
    `static Color` | `BRIGHTEN_STOP`
    `static Color` | `DARKEN_START`
    `static Color` | `DARKEN_STOP`
    `static Color` | `LT_BRIGHTEN_STOP`
    `static Color` | `LT_DARKEN_STOP`
    `protected static ColorUIResource` | `WHITE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PlasticTheme()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)` Plastic themes are equal if and only if their classes are the same.
    `protected ColorUIResource` | `getBlack()`
    `FontUIResource` | `getControlTextFont()`
    `protected FontSet` | `getFontSet()`
    `ColorUIResource` | `getMenuForeground()`
    `ColorUIResource` | `getMenuItemBackground()`
    `ColorUIResource` | `getMenuItemSelectedBackground()`
    `ColorUIResource` | `getMenuItemSelectedForeground()`
    `FontUIResource` | `getMenuTextFont()`
    `ColorUIResource` | `getSimpleInternalFrameBackground()`
    `ColorUIResource` | `getSimpleInternalFrameForeground()`
    `FontUIResource` | `getSubTextFont()`
    `ColorUIResource` | `getSystemTextColor()`
    `FontUIResource` | `getSystemTextFont()`
    `ColorUIResource` | `getTitleTextColor()`
    `FontUIResource` | `getTitleTextFont()`
    `ColorUIResource` | `getToggleButtonCheckColor()`
    `FontUIResource` | `getUserTextFont()`
    `protected ColorUIResource` | `getWhite()`
    `FontUIResource` | `getWindowTitleFont()`
    `int` | `hashCode()` Returns this theme's hash code, the classes' hash code.

    - ### Methods inherited from class javax.swing.plaf.metal.DefaultMetalTheme

      `getName, getPrimary1, getPrimary2, getPrimary3, getSecondary1, getSecondary2, getSecondary3`

    - ### Methods inherited from class javax.swing.plaf.metal.MetalTheme

      `addCustomEntriesToTable, getAcceleratorForeground, getAcceleratorSelectedForeground, getControl, getControlDarkShadow, getControlDisabled, getControlHighlight, getControlInfo, getControlShadow, getControlTextColor, getDesktopColor, getFocusColor, getHighlightedTextColor, getInactiveControlTextColor, getInactiveSystemTextColor, getMenuBackground, getMenuDisabledForeground, getMenuSelectedBackground, getMenuSelectedForeground, getPrimaryControl, getPrimaryControlDarkShadow, getPrimaryControlHighlight, getPrimaryControlInfo, getPrimaryControlShadow, getSeparatorBackground, getSeparatorForeground, getTextHighlightColor, getUserTextColor, getWindowBackground, getWindowTitleBackground, getWindowTitleForeground, getWindowTitleInactiveBackground, getWindowTitleInactiveForeground`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DARKEN_START

          public static final Color DARKEN_START

    - #### DARKEN_STOP

          public static final Color DARKEN_STOP

    - #### LT_DARKEN_STOP

          public static final Color LT_DARKEN_STOP

    - #### BRIGHTEN_START

          public static final Color BRIGHTEN_START

    - #### BRIGHTEN_STOP

          public static final Color BRIGHTEN_STOP

    - #### LT_BRIGHTEN_STOP

          public static final Color LT_BRIGHTEN_STOP

    - #### WHITE

          protected static final ColorUIResource WHITE

    - #### BLACK

          protected static final ColorUIResource BLACK

  - ### Constructor Detail

    - #### PlasticTheme

          public PlasticTheme()

  - ### Method Detail

    - #### getBlack

          protected ColorUIResource getBlack()

      Overrides:
        `getBlack` in class `MetalTheme`

    - #### getWhite

          protected ColorUIResource getWhite()

      Overrides:
        `getWhite` in class `MetalTheme`

    - #### getSystemTextColor

          public ColorUIResource getSystemTextColor()

      Overrides:
        `getSystemTextColor` in class `MetalTheme`

    - #### getTitleTextColor

          public ColorUIResource getTitleTextColor()

    - #### getMenuForeground

          public ColorUIResource getMenuForeground()

      Overrides:
        `getMenuForeground` in class `MetalTheme`

    - #### getMenuItemBackground

          public ColorUIResource getMenuItemBackground()

    - #### getMenuItemSelectedBackground

          public ColorUIResource getMenuItemSelectedBackground()

    - #### getMenuItemSelectedForeground

          public ColorUIResource getMenuItemSelectedForeground()

    - #### getSimpleInternalFrameForeground

          public ColorUIResource getSimpleInternalFrameForeground()

    - #### getSimpleInternalFrameBackground

          public ColorUIResource getSimpleInternalFrameBackground()

    - #### getToggleButtonCheckColor

          public ColorUIResource getToggleButtonCheckColor()

    - #### getTitleTextFont

          public FontUIResource getTitleTextFont()

    - #### getControlTextFont

          public FontUIResource getControlTextFont()

      Overrides:
        `getControlTextFont` in class `DefaultMetalTheme`

    - #### getMenuTextFont

          public FontUIResource getMenuTextFont()

      Overrides:
        `getMenuTextFont` in class `DefaultMetalTheme`

    - #### getSubTextFont

          public FontUIResource getSubTextFont()

      Overrides:
        `getSubTextFont` in class `DefaultMetalTheme`

    - #### getSystemTextFont

          public FontUIResource getSystemTextFont()

      Overrides:
        `getSystemTextFont` in class `DefaultMetalTheme`

    - #### getUserTextFont

          public FontUIResource getUserTextFont()

      Overrides:
        `getUserTextFont` in class `DefaultMetalTheme`

    - #### getWindowTitleFont

          public FontUIResource getWindowTitleFont()

      Overrides:
        `getWindowTitleFont` in class `DefaultMetalTheme`

    - #### getFontSet

          protected FontSet getFontSet()

    - #### equals

          public boolean equals(Object o)

      Plastic themes are equal if and only if their classes are the same.
      Overrides:
        `equals` in class `Object`
      Returns:
        true if this theme is equal to the given object

    - #### hashCode

          public int hashCode()

      Returns this theme's hash code, the classes' hash code.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        this theme's hash code

Copyright © 2001-2014 JGoodies Software GmbH. All Rights Reserved.